%define module	GraphViz
%define name	perl-%{module}
%define version 2.02
%define release 1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{module} module for perl
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/L/LB/LBROCARD/%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
Requires:	graphviz
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl-Math-Bezier
BuildRequires:	perl-IPC-Run
BuildRequires:	perl-Graph
BuildRequires:	graphviz
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-root

%description
This module provides an interface to layout and image generation of
directed and undirected graphs in a variety of formats (PostScript, PNG,
etc.) using the "dot", "neato" and "twopi" programs from the GraphViz
project (http://www.graphviz.org/ or
http://www.research.att.com/sw/tools/graphviz/). 

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%make test

%files
%defattr(-,root,root)
%doc CHANGES README
%{perl_vendorlib}/GraphViz.pm
%{perl_vendorlib}/GraphViz
%{perl_vendorlib}/Devel
%{_mandir}/*/*

%changelog
* Thu Jan 13 2005 Guillaume Rousse <guillomovitch@mandrake.org> 2.02-1mdk 
- new release
- back in official contrib

* Thu Sep 30 2004 Guillaume Rousse <guillomovitch@zarb.org> 2.01-1plf
- New release 2.01

* Sat Aug 28 2004 Guillaume Rousse <guillomovitch@zarb.org> 2.00-1plf
- New release 2.00

* Wed Aug 25 2004 Guillaume Rousse <guillomovitch@zarb.org> 1.9-1plf
- new version 
- PLF transfer
- requires graphviz
- no more explicit perl requires
- fixed buildrequires

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.8-4mdk 
- rpmbuildupdate aware

* Wed Feb 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.8-3mdk
- fixed dir ownership (distlint)
- %%makeinstall_std macro

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.8-2mdk
- rebuild for new auto{prov,req}

* Thu Apr 03 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.8-1mdk
- first mdk release
